xine-lib: IMemAllocator_vt Struct Reference

xine-lib 1.2.12

Data Fields
IMemAllocator_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | SetProperties )(IMemAllocator *This, ALLOCATOR_PROPERTIES *pRequest, ALLOCATOR_PROPERTIES *pActual)
HRESULT STDCALL(* | GetProperties )(IMemAllocator *This, ALLOCATOR_PROPERTIES *pProps)
HRESULT STDCALL(* | Commit )(IMemAllocator *This)
HRESULT STDCALL(* | Decommit )(IMemAllocator *This)
HRESULT STDCALL(* | GetBuffer )(IMemAllocator *This, IMediaSample **ppBuffer, REFERENCE_TIME *pStartTime, REFERENCE_TIME *pEndTime, unsigned long dwFlags)
HRESULT STDCALL(* | ReleaseBuffer )(IMemAllocator *This, IMediaSample *pBuffer)

## Field Documentation

## ◆ AddRef

long STDCALL(* IMemAllocator_vt::AddRef) (IUnknown *This)

Referenced by MemAllocatorCreate().

## ◆ Commit

HRESULT STDCALL(* IMemAllocator_vt::Commit) (IMemAllocator *This)

Referenced by MemAllocatorCreate().

## ◆ Decommit

HRESULT STDCALL(* IMemAllocator_vt::Decommit) (IMemAllocator *This)

Referenced by MemAllocatorCreate().

## ◆ GetBuffer

HRESULT STDCALL(* IMemAllocator_vt::GetBuffer) (IMemAllocator *This, IMediaSample **ppBuffer, REFERENCE_TIME *pStartTime, REFERENCE_TIME *pEndTime, unsigned long dwFlags)

Referenced by MemAllocatorCreate().

## ◆ GetProperties

HRESULT STDCALL(* IMemAllocator_vt::GetProperties) (IMemAllocator *This, ALLOCATOR_PROPERTIES *pProps)

Referenced by MemAllocatorCreate().

## ◆ QueryInterface

long STDCALL(* IMemAllocator_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

Referenced by MemAllocator_CreateAllocator(), and MemAllocatorCreate().

## ◆ Release

long STDCALL(* IMemAllocator_vt::Release) (IUnknown *This)

Referenced by DS_Filter_Stop(), MemAllocator_CreateAllocator(), and MemAllocatorCreate().

## ◆ ReleaseBuffer

HRESULT STDCALL(* IMemAllocator_vt::ReleaseBuffer) (IMemAllocator *This, IMediaSample *pBuffer)

Referenced by CMediaSample_Release(), and MemAllocatorCreate().

## ◆ SetProperties

HRESULT STDCALL(* IMemAllocator_vt::SetProperties) (IMemAllocator *This, ALLOCATOR_PROPERTIES *pRequest, ALLOCATOR_PROPERTIES *pActual)

Referenced by MemAllocatorCreate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/DirectShow/interfaces.h